Subject: Re: [PATCH wpan-next v2 0/3] IEEE 802.15.4: Add coordinator interfaces

From: Miquel Raynal <[email-masked]>
Date: Wed, 2 Nov 2022 15:52:40 +0100

Hi Alexander,

[email-masked] wrote on Sun, 30 Oct 2022 22:20:03 -0400:

> Hi,
> 
> On Wed, Oct 26, 2022 at 5:35 AM Miquel Raynal <[email-masked]> wrote:
> >
> > Hello,
> > These three patches allow the creation of coordinator interfaces, which
> > were already defined without being usable. The idea behind is to use
> > them advertizing PANs through the beaconing feature.
> >  
> 
> I still don't know how exactly those "leaves" and "non-leaves" are
> acting here regarding the coordinator interfaces. If this is just a
> bit here to set in the interface I am fine with it. But yea,
> "relaying" feature is a project on its own, as we said previously.
> 
> Another mail I was asking myself what a node interface is then,
> currently it is a mesh interface with none of those 802.15.4 PAN
> management functionality?

Not "none", because I would expect a NODE to be able to perform minimal
management operations, such as:
- scanning
- requesting an association
But in no case it is supposed to:
- send beacons
- manage associations
- be the PAN coordinator
- act as a relay

> Or can it act also as a "leave"
> coordinator... I am not sure about that.
> 
> However I think we can think about something scheduled later as we can
> still decide later if we really want that "node" can do that.
> Regarding to 6LoWPAN I think the current type what "node" interface is
> as a just a node in a mesh is required, it might depends on if you
> want routing on IP or "relaying" on MAC (mesh-over vs mesh-under), but
> I never saw mesh-under in 6LoWPAN.

Yes.

> 
> Acked-by: Alexander Aring <[email-masked]>

Thanks!

Miquèl